Name:		fprobe
Version:	1.1
Release:	1%{?dist}
Summary:	Collect network traffic data and emit as NetFlow flows

Group:		System Environment/Daemons
License:	GPLv2
URL:		http://fprobe.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:	libpcap-devel

# BuildRoot is not needed in fedora, but older epel versions needs it
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
fprobe is a libpcap-based tool that collect network traffic data and
emit it as NetFlow flows towards the specified collector.
For the similar libipulog-based fork of fprobe, see fprobe-ulog.


%prep
%setup -q


# clean is not needed in fedora, but older epel versions needs it
%clean
[ %{buildroot} != "/" ] && rm -rf "%{buildroot}"


%build
%configure
make %{?_smp_mflags}


%install
# epel5 doesn't have macro make_install
make install DESTDIR=%{buildroot}
install -m 0755 -d %{buildroot}%{_bindir}
mv %{buildroot}%{_sbindir}/fprobe %{buildroot}%{_bindir}/fprobe


%files
%doc AUTHORS NEWS README TODO ChangeLog
%if 0%{?el5}
%doc COPYING
%else
%license COPYING
%endif
%{_bindir}/%{name}
%{_mandir}/man8/%{name}.8.gz



%changelog
* Wed Sep 28 2016 Ingvar Hagelund <ingvar@redpill-linpro.com> 1.1-1
- Wrap for Fedora/EPEL

